Get click metrics for links in one-time send variants
Returns link click metrics for an individual one-time send (referred to as a "newsletter" in our APIs) variant—an individual language in a multi-language one-time send or a message in an A/B test. Unless you specify otherwise, the response contains data for the maximum period by days (45 days).
You cannot request fewer than 2 steps of any period (2 hours, 2 days, 2 weeks, or 2 months). For instance, ?period=days&steps=1 means two days - the 48 hours before the API request was made. ?period=days&steps=0 returns the same as the maximum of the period - ?period=days&steps=45. See the steps parameter below for the maximum count of each period.
- Type: integernewsletter
_id requiredThe identifier of a one-time send.
- Type: integercontent
_id requiredThe identifier of a message in a one-time send. If your one-time send has an A/B test group or includes multiple languages, each variant has its own
content_id, separate from thenewsletter_id.Use List variants of a one-time send to find the
content_idassociated with the right variant.
- Type: string enumperiod
The unit of time for your report.
values- hours
- days
- weeks
- months
- Type: integersteps
The number of periods you want to return. Defaults to the maximum available, or
12if the period is inmonths. Maximums are 24 hours, 45 days, 12 weeks, or 121 months. Days start at 00:00 EST. Weeks start at 00:00 EST on Sunday. Months start at 00:00 EST on the 1st of the month. - Type: string enumtype
The type of item you want to return metrics for. When empty, the response contains metrics for all possible types.
values- email
- webhook
- twilio
- push
- in
_app - inbox
- application/json
- 404
The one-time send and/or variant does not exist.
- application/json
curl https://api.customer.io/v1/newsletters/1/contents/1/metrics/links \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"links": [
{
"link": {
"href": "https://docs.customer.io",
"id": 1234
},
"metric": {
"series": {
"clicked": [
1,
3,
5,
7
],
"human_clicked": [
1,
2,
3,
4
],
"machine_clicked": [
0,
1,
1,
2
]
}
}
}
]
}Returns one-time send variant metrics by series (with increments are based on the period and step in your request) for the one-time send.